helix-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ka...@apache.org
Subject svn commit: r4650 - in /dev/helix: KEYS release-script-svn.sh
Date Fri, 14 Mar 2014 18:17:19 GMT
Author: kanak
Date: Fri Mar 14 18:17:19 2014
New Revision: 4650

Log:
Add keys and release script from old incubator location for Helix

Added:
    dev/helix/KEYS
    dev/helix/release-script-svn.sh

Added: dev/helix/KEYS
==============================================================================
--- dev/helix/KEYS (added)
+++ dev/helix/KEYS Fri Mar 14 18:17:19 2014
@@ -0,0 +1,138 @@
+edit this file at https://dist.apache.org/repos/dist/release/helix/
+
+pub   2048R/34BBEC79 2013-01-09
+uid                  Kishore Gopalakrishna <kishoreg@apache.org>
+sub   2048R/AD8457F8 2013-01-09
+
+
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v2.0.14 (GNU/Linux)
+
+mQENBFDsuYsBCAC2huTmcRJYRNfxG7WBFx/n8SqyunRKFDT64TkR2Pyii/C8TH/e
+3nm60IOtyR81KrWut0+L5GIG1/v/ZDJC0Gunl/zrDrFhb5sCwViG8d6jiFWNAyHZ
+JayhPq2/3Sfok1WxxfZruNRkLJOB2MEXun3AS1wEFsTFoXt7Ml2lhppsTnPq1YVU
+ot8oLtAO7e0xeEvVoWGX83EngX1ltklj2Q9Xd5C8uAied65+GDyyh4IVaUrnegNt
+4/gPi8CDWtIrGtjiEk3z8xh3Ad/7P2j1VA2qlS9+vT5HKOyGfqUeAJ4bPAjhs/u0
+rS/VNxi4V4VmrU+8ZeJOI6VrB5+zJf3ElaM3ABEBAAG0K0tpc2hvcmUgR29wYWxh
+a3Jpc2huYSA8a2lzaG9yZWdAYXBhY2hlLm9yZz6JATgEEwECACIFAlDsuYsCGwMG
+CwkIBwMCBhUIAgkKCwQWAgMBAh4BAheAAAoJEKmH6Rg0u+x50M8IALFku7k33r2j
+z53RA3ZRHd0L38i+dc2i6bSVZg32ecbZekHPypNKdm3fQIl/WMeB6+4O17AcT1Wz
+XI1O1DsQn4lR3nXfRogthexDsD5XoUPszsfX9nAN6dAleoLKXA3VKoaWKgfaffma
+oyP+4HVnh0f5E/MJk0tnD+9v0DguzmPFwKziGFCUbeuUVi4BosUHShcZiryj9/hd
+1SMKkrpjAReWmv77TAbbRFCSNPDX2yOZ/sjBYluhwtiIG/Vryhayv5RFJptjptmF
+3jXCOb/IT7tlgffDPZXFDBmGE2o5Ek1QAd0Y3FMl2dAVC9bE7Sv1l8zZKEefCoKN
+HVEepMt23+q5AQ0EUOy5iwEIAMI2LZXErBgtgKZWYKh/PejKz6m1+i2rT1F6Lnnm
+EfGEYDDe9sUkBQ/+ypAlYhkDIBBOC+8EdqE6lPmrLgsv0pYZAApX7gBdZMcgBMIt
+empagoWlgLjJi9NBwfHwA/cXSuK3+989Py/X5beRKqZJ5BpsrUD1bboQPzITliav
+EWJyPycFnolazFsX40/Z20ltlmzpWeUd3ZEOzo2gCAM3YePB09tD8SAUgsXp8eUS
+bkO3cjDp0PPq1f4Gbj1Z2CgSgMSFAkAzEOjrPo1l5lKtt2FMWfNV2oALxiWED275
+fJhOFALdxHxlh/9obqnRGEmCT3IPC/FzO5AwwsVQHsUy5icAEQEAAYkBHwQYAQIA
+CQUCUOy5iwIbDAAKCRCph+kYNLvseaTUB/wIlUjHmrCyS8h0p1jwCDWQB8UamB+t
+tEfUe3WHZLxt5DcfcCz36X8KediiIZgKaUJTNpS0lNUc8UlVxAJRv2RpS3yVuyJv
+wwvng8oHmlJ6obay+A5wR2z1ZlZYvfVVrbllE0SmtoeiqqnNVP234nkZjno2VImw
+Lall95l2V3B22HmH5ShI5GVklNY3s/ArOg90Zgx/qQ0H6E7faOxkAoRJYF7Wjp6O
+8D0V7GAE0GHa0yHowGb8TX7kznEd9WY/DTe4oCrKMfPA/DXe7ZssL2U/iUZ+EmGP
+PuTGq3uduqtk8+TcrjwhNte1fx4CQ5oiMhzjtXEER/UDEjk/PvMvvYb0
+=dCVC
+-----END PGP PUBLIC KEY BLOCK-----
+
+pub   2048R/2D90369E 2013-04-30
+uid                  Shi Lu <slu@apache.org>
+sub   2048R/5E5BC5CB 2013-04-30
+
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v2.0.14 (GNU/Linux)
+
+mQENBFGANSoBCADk+KCD5DedAHRLFufqQ5OXxpPgXwLGzyyx5/zKZ+IsYU/JBoQc
+BfnIFhHEnzsdCAGBwBmTmzhefGduTQd82dOYega5MIGX5QCigu8Glzppr9rowuZa
+LaZAaMYdooab2e2HOfqCmnVt5wJuVkGGPygtk9VstJ5g4QFGI1r2ejoCv8h9/jjP
+411XKDH2LDx5YYM2aE9JUKBrcc4fE9IBROyVdswAyj3YIJE6ioX8GLxC6x6Vi9/s
+FYq4ITgBAcQaeuvpZie4UiO8i/lgM6tP9HFdKArZpB+SgBj9c0vb54giGr/kcZJu
+13ovhHei1LAYlI7BL3BCWRz/lj+eHD072o3DABEBAAG0F1NoaSBMdSA8c2x1QGFw
+YWNoZS5vcmc+iQE4BBMBAgAiBQJRgDUqAhsDBgsJCAcDAgYVCAIJCgsEFgIDAQIe
+AQIXgAAKCRDsWfpYLZA2nihFCACGU8SdIBPMORI/D8eiMv5uZ+mrwvvLcgDh1O0T
+8FtWI1YBj8XG4sbBx6cBxcCqRfNrD8QRKxCyarA20QZRrF6fuHIVhfAnYuURD7nV
+rCVEbD2ILqTamHb1D31B2dOxCv49b1AX/mPgUvCZTaPJI0qSIFJBe6sAOTnVTiQY
+igpOFzm8RoX9SaWA2JPEGhLUOPDQyn4FMxIOrcrkdkoDqU0lDEX9SBH9S6QXEvm7
+MZkjMoPuvMbpfJhUBIS08Mui9PyJyc1UwvPoujMtJZEHMM4/4d4YL6X08RBOO68G
+K4YzqwUWtlhZPSi3dK7MkaHPCclpp8Usz4zNBpACl2N4mNSyuQENBFGANSoBCADh
+RT0gWbAd83aY5u1jnUw4kOClrYsmVDJj322EFc2PiJDWKh8+mD8gIv3wSj6givXE
+EFTW8vL5A8TDPrWh/Wo6fL/Hc00/TEhCXrC7T0YvIQadbMNdt1pkNoHPAIQYYWcM
+TfdPq/jc7LaHU9VJ069gccwl3hB9LWAhsArSvLyq6uu4ERMShEKJbJHEEH4g3cxi
+RJetwH01/2KTPPB5u9jihSG63I0sZ82aW5g/R3FJzp0iWbNbTMp3FkVINlIhY6Cm
+dZo2q5xVDqeGbjj8xubKS/b2x72F6+Fb5entGy0pQa5wOHeDIQR438Q0zA1jlrMF
+sGeFnCIB8bt9pR8HAV8dABEBAAGJAR8EGAECAAkFAlGANSoCGwwACgkQ7Fn6WC2Q
+Np5+egf+LiKG6hTPyAnDRGz+UcqR+i5VDm8/EG6ydvbQj5MyZXv61Nnd7MMFaJIu
+1KKJMXUdX5mfHRpmELrTNkGu2ke9rn7a5zMjoUgpwKo824FDyK7H5RXoq47xxbhU
+BcLBHfdVGLNhFZlwYhvyhfZlj6KXYYTFCbqSXNZ9prmwrsv6mShnmjCWOD5AO+e8
+4M9UZWLbyuWHh4V67PBakEEvOk3fnklddnKP/EHr17rJ5Kh+RT18GNLnRT2fnPIF
++KwQbjH0TkX/W95J+sMddNCvTM00Jl9q2PDX3yqmhXdidELwmZ94xM6SMV0srBrf
+OcHkhkw8d0cbwVacu0Wf8m+oS+1+RQ==
+=NDZS
+-----END PGP PUBLIC KEY BLOCK-----
+
+pub  2048R/A0AA16E4 2013-11-11
+uid Kanak Biscuitwala (Initial key) <kanak@apache.org>
+sub  2048R/E6266227 2013-11-11
+
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: SKS 1.1.0
+
+mQENBFKBYfEBCACkozJymwquQiyMakKOynBQl2n5vj5nQJldo85QH7ALIZdS4UkHiwkQfu/y
+5W0Jqqpdw/PR/H+GHnTvul2wtzAPSx4ZwR6U81F2oo1KE3RQBSRJnfseylgIr/TQcKVsBihT
+KanOoAcAl8vSVvNr55He1D3oJYYqp6+1hJp3sHEbBVTunCP0nkhwNzv16pHdcMXeQo2TzFlc
+Y/aGVoPwS/qWptSAg5wt73Q+De0c3WS88YFk+++66PplM3cZ/UBo9codfMgk0xDZ7MwUGfeN
+R8i5BHordj+nUYUTh6oc0+dmH9h9kHt7MnFN0Jvmb6hHic0j88c9JB0xe1GL2oklUwxLABEB
+AAG0MkthbmFrIEJpc2N1aXR3YWxhIChJbml0aWFsIGtleSkgPGthbmFrQGFwYWNoZS5vcmc+
+iQE4BBMBAgAiBQJSgWHxAhsDBgsJCAcDAgYVCAIJCgsEFgIDAQIeAQIXgAAKCRB8+gjxoKoW
+5MohB/kBk64fQsByGpCEUelW6RNRSlj04vt8jBUeYBCZ+DjiYwD1PvKQN1a0JWzEiibdxVbb
+ITzpEGVHRPQn4On5Ue18KaOqWuy05X8FzPbU0Gu9cZZmcYIRAjtvsRj8fGUa5hjrNSASMtnr
+0lBXtf+ic7de0EwaAZe0fev2tJ+wpIfPzfiXQRswm9MNW1aFQmAUL4Vl5OIABZOjvTcI0bD0
+mqY91y0/gCegpiZineqSXe0cZfX5T3L2N6tjPTutpznc/AECXi+7lDfHqfEVS/xaER1pelE/
+cuvoiirtTeRYVxumcAM05zqGZg/d90kz3QHfigtGJ7BCp/OcYTlMSdizuMfguQENBFKBYfEB
+CADE+68o4hccPEvyGwK3wqn4Ez3WMVAulESVN/lJfpY4T4q6haGJG7P0bNzHXO5DDM47IsQy
+J9xhnWPjx9GVSvwTLT7P1FKdwAwTFWrehaUbRj3mYGIG5RxDkx6++MMBXp/xVYIi0z6t2aOO
+a2c1NK735jZki2IvqiIuWXsQEs6fMicd5bFsNO/6O9on75BwpbIU6RK7SbsmUNYYu8NNlfiC
+K95lDkLoPBAL4s+ptfWDbfxXlRZe2oGRXlqOsmh6N6Ar0hEpL/pVhLsAlBPUV4bl3tFI4wEX
+MlT0oAtKhtJjckOvzFWMPeCaHIeydwQEEc1+tVqggcL3qIkmoiOBs/z3ABEBAAGJAR8EGAEC
+AAkFAlKBYfECGwwACgkQfPoI8aCqFuSkmgf9GdQKKgSyEQfafFHPnY2nMwaUe62WxpL0aLy9
+XgK8qOf3xtbJreqEbyL8OIUB9vfaMp7D23bXgfwt623f0pZlqMZFOxVSx0gQokGO6hQd4z3F
+XexvxuCZFFTjHfGFSpGzAsT6IEW3fnmVbsRBfwjE27qa2UJ+SrYWVT65l34vRnTGs6ipi2i5
+T/BzTUKnJhyDv/YsjxWuxvkx+cpvEA/hZWWSz+a3+s4t6A8szrffzJHoyB2NPuvMKPz17FfD
+CxFlQcyKRtPuHuk+OgUH0BwJtZmZnXYzW3X9i9jR2bqkWe2mwGGdnyqVX/9TGPxvgbW07EY5
+h6rDdZgvyPqpwPwcqA==
+=gOH0
+-----END PGP PUBLIC KEY BLOCK-----
+
+pub  2048R/C566249F 2013-11-12
+uid                 Zhen Zhang <zzhang@apache.org>
+sub  2048R/67F5BFA3 2013-11-12
+
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: SKS 1.1.0
+
+mQENBFKCuz8BCADGG5xz73bZBpRuV0Skfna9Ib36LU2Ro+EViUEWmMkZOYl8XbE5YejquCco
+da0C4mXyR+BSDlQ11nk0TzieJWCJIctr1m28D2CRP53sLOxrxGv2udlkBwvdv+aBctyfa6vl
+YAYptBaokGuGrhVhXI2M+Uz9SU8zuZMBh3MCsYBBKN+h7at/to2GGJfRICj07HEn+H6tKztG
+iLrC+80CddhuVJNvxAEjjDJilhoTERkIgyR7B2Rx6vCkD4R4jyAF0NiH3W4p72tfXCw7w3nr
+umCRrbYMchsjkgKPAT8x1KinezB7yju9MiitwtOVWqq7qWIZ9kn185/ohOYEbjQiEFVXABEB
+AAG0HlpoZW4gWmhhbmcgPHp6aGFuZ0BhcGFjaGUub3JnPokBOAQTAQIAIgUCUoK7PwIbAwYL
+CQgHAwIGFQgCCQoLBBYCAwECHgECF4AACgkQdEqlxsVmJJ90iwgAgQty6YX+V5hG9grh/J0M
+sywLx9scCf0CyYuGfWRiOun8bgZ1xb/3jFi0edV49U9ZEUDCw+v7wLhxniXNFgrVknUt6B+f
+YUIdV4U2JTY1kpBz3obWj5HdEojC+4Tp2HrywFyd9tfnh0mUyyTe820BY6Ad7hdrMU7lQgE2
+KwsHC5D3B9HYL3L6f549DvutD5Ekx7Jc+XnAAuNCvM+hzIt95NdRSszox+MUcxxlzShOktRR
+pzeEfEQTGa5wjUm2mdMbmnTmTS2+AIZzMdLlS5eu3sbLHDb7zxk4dVSZKIV+HnMgmg+vV2SK
+H+dK+KfLbhqu8M0DINvaKI8CSp8i+0dRTrkBDQRSgrs/AQgAoZ/Pj9MFWGA3hNXjg3vWDmrz
+ukbVz5/ckzgxvNAGQKL6Sc7mvtLYE0D3110S5LcYrt3trWASqjNltFC6IsPkxCz3vcu4sWZD
+A2LIwDRdiKCWllSs0axxidifsTPRee+Z2E58V0MwGUKjWLuC3SryOrCh6J236IBURxZcxhr3
+hvUUYU8LuPN3NM/9tn4yn0j9jUtsjIKqz/aisUmkYIH2KNOndHfccn8l+lpYeCUrtBgT4/+B
+xDArEiRGQJ6lJftsBQv4s7O+hPkRT5KVbRZ5ZDQ47SJRPfCIS+jwXhCZRMsnCeCJ5tdJ2Vxh
+4lt6eE4BAEq+bf0QC9wm7jKr0pNwAQARAQABiQEfBBgBAgAJBQJSgrs/AhsMAAoJEHRKpcbF
+ZiSf2ZkH/iqQWjFac4JLaQmvHRHzNSRXvLXgBl7NjAxVqK17woqCNDdeT0J+C3qqUWV4VhQU
+S1N86Hgq7T9YcZlEXtBv/KRwE1NKWn7XvInv0UkiaX28nvP/BXKl+t/US3R0dgroq8dIlSKv
+QMUJjs8YVPy4NWPfhpdxAzaBxxtibqYZrw7RFB5uTSNz+ONz4WfuQLgvTJWwBjijurhuGJKo
+z/S9fXufV3B+2yLZjO3LR3lphKr0yCUr2Qhb6tQPhWSs1Rc1ypQrd8A4JEGjx7U6rk8/z6ka
+78gosAHASIzdfx0RDhlVhVqAsmPDIR2z0H3T5ULZoO4sIA3xPiLDImtao70Ekrw=
+=WpKc
+-----END PGP PUBLIC KEY BLOCK-----
+

Added: dev/helix/release-script-svn.sh
==============================================================================
--- dev/helix/release-script-svn.sh (added)
+++ dev/helix/release-script-svn.sh Fri Mar 14 18:17:19 2014
@@ -0,0 +1,61 @@
+#!/usr/local/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+## $Id: release-script-svn.sh 3521 2013-11-14 23:55:13Z kanak $ ##
+#$1 version
+#$2 staging repo path on repository.apache.org
+set -e
+if test $# -ne 2 
+then
+  echo 'usage release-script.sh version stagingRepoUrl'
+  exit
+fi
+export version=$1
+export repo=$2
+
+mkdir $version
+cd $version
+
+mkdir binaries
+cd binaries
+for i in pkg.tar pkg.tar.asc pkg.tar.md5 pkg.tar.sha1
+do
+  wget -O helix-core-$version-$i $repo/org/apache/helix/helix-core/$version/helix-core-$version-$i
+  if [ ! -s helix-core-$version-$i ]; then
+    echo Unable to find helix-core-$version-$i
+    exit 1
+  fi
+  wget -O helix-admin-webapp-$version-$i $repo/org/apache/helix/helix-admin-webapp/$version/helix-admin-webapp-$version-$i
+  wget -O helix-agent-$version-$i $repo/org/apache/helix/helix-agent/$version/helix-agent-$version-$i
+  wget -O helix-examples-$version-$i $repo/org/apache/helix/helix-examples/$version/helix-examples-$version-$i
+done
+
+cd ..
+mkdir src
+cd src
+for i in zip zip.asc zip.md5 zip.sha1
+do
+  wget -O helix-$version-src.$i $repo/org/apache/helix/helix/$version/helix-$version-source-release.$i
+  if [ ! -s helix-$version-src.$i ]; then
+    echo Unable to find helix-$version-src.$i
+    exit 1
+  fi
+done
+



Mime
View raw message